#include "config.h"
volatile	u8	gu8v_SysMode;
void main()
{

	if(_to ==0 || _pdf ==0)	
	{							
		fun_SysInit();
		fun_PowerOn_Calibrate_Detect();
	}
	else													
	{	  
		fun_SysInit();
	}
//	LCD_test();
	while(1)
	{
		GCC_CLRWDT();
		switch(gu8v_SysMode)
		{
			case Temperature_Measure_Mode:
				fun_RCWork();
			break;
			case Temperature_Calibrate_Mode:
				fun_RC_Calibrate();				
			break;
			case Halt_Mode:
				fun_Halt();	
				fun_SysInit();				
			break;
			default:
			fun_SysInit();
			break;
		}		

	}		
}




